> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/installation-setup/installation/microsoft-azure.md).

# Microsoft Azure

النشر كتطبيق ويب على Azure

## التنزيلات المطلوبة

قم بتنزيل ملف أرشيف تثبيت ngSurvey Enterprise Edition:\
[حزمة تثبيت ngSurvey بصيغة ZIP](https://dl.ngsurvey.com/release/ngsurveyee.zip)

{% hint style="warning" %}
تأكد من أنك [قمت بتمكين التخزين المؤقت الموزع](/ar/installation-setup/installation/cluster-scale-out-configuration.md) إذا كنت تشغّل ngSurvey على عدة مثيلات Azure لمشاركة الحمل.
{% endhint %}

## خطوات التثبيت

1. أنشئ Azure AppService باستخدام بوابة إدارة Azure ومضيف .NET 9.
2. في صفحة إعدادات التطبيق، أضف إعداداً جديداً [سلسلة الاتصال ](https://www.connectionstrings.com/sql-server/)المسمى `NGSurveyDB` مع معلومات الاتصال لقاعدة البيانات التي تستضيف قاعدة بيانات ngSurvey. إذا كنت تستخدم MySQL فتأكد أيضاً من اتباع [دليل تكوين MySQL](/ar/installation-setup/installation/alwajhh-alkhlfyh-lqaadh-albyanat/oracle-mysql.md) المباشر.&#x20;
3. خيار اختياري ولكنه الأكثر أماناً - [Azure Key vault](https://azure.microsoft.com/en-us/services/key-vault/). إذا فضّلت تخزين إعدادات التطبيق داخل Azure Key Vault يمكنك تعيين الإعدادات التالية في إعدادات التطبيق

   * KeyVault:Name هو اسم Key vault الخاص بك
   * AzureAd:ClientId هو معرف العميل للوصول إلى Key vault الخاص بك
   * AzureAd:ClientSecret هو السر الخاص بالعميل للوصول إلى Key vault الخاص بك

   \
   إذا كنت تعمل تحت مضيف Linux فتأكد من استبدال النقطتين : بحرفين سفلية مزدوجين \_\_ <br>
4. لنشر الحزمة، انتقل في متصفحك إلى `https://yourazure_appname.scm.azurewebsites.net/ZipDeployUI`
5. قم برفع ملف ZIP الخاص بـ NGSurvey عن طريق سحبه إلى منطقة مستعرض الملفات على صفحة الويب.
6. انتقل باستخدام متصفحك إلى موقع Azure الخاص بك
7. استخدم بيانات الاعتماد الافتراضية التالية لـ ngSurvey\
   \
   البريد الإلكتروني : ngsadmin\
   كلمة المرور : admin<br>
8. بمجرد تسجيل الدخول يمكنك إعداد إعدادات إضافية مثل خوادم البريد، وcaptcha وخدمات الترجمة من [System / Settings](/ar/installation-setup/system-settings.md) الصفحة.
9. استمتع بأداة استبيان رائعة!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/microsoft-azure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
